# Contributing

Contributions of all kinds are welcome. In particular pull requests are appreciated. The authors will endeavour to help walk you through any issues in the pull request discussion, so please feel free to open a pull request even if you are new to such things.

## Issues

The easiest contribution to make is to [file an issue](https://github.com/TDAmeritrade/stumpy/issues/new). It is beneficial if you perform a cursory search of [existing issues](https://github.com/TDAmeritrade/stumpy/issues?q=is%3Aissue) and it is also helpful, but not necessary, if you can provide clear instruction for how to reproduce a problem. If you have resolved an issue yourself please consider contributing to this repository so others can benefit from your work.

## Documentation

Contributing to documentation is the easiest way to get started. Providing simple clear or helpful documentation for new users is critical. Anything that *you* as a new user found hard to understand, or difficult to work out, are excellent places to begin. Contributions to more detailed and descriptive error messages is especially appreciated. To contribute to the documentation please 
[fork the project](https://github.com/TDAmeritrade/stumpy/fork) into your own repository, make changes there, and then submit a pull request.

## Code

Code contributions are always welcome, from simple bug fixes, to new features. To contribute code please [fork the project](https://github.com/TDAmeritrade/stumpy/fork) into your own repository, make changes there, run [black](https://github.com/python/black) and [flake8](http://flake8.pycqa.org/en/latest/) on your code, add tests for bugs/new features, and then submit a pull request. If you are fixing a known issue please add the issue number to the PR message. If you are fixing a new issue feel free to file an issue and then reference it in the PR. You can [browse open issues](https://github.com/TDAmeritrade/stumpy/issues), or consult the [project roadmap](https://github.com/TDAmeritrade/stumpy/issues/1), for potential code contributions. Fixes for issues tagged with 'help wanted' are especially appreciated.


